Kali Linux Installazione TOR Kali-Linux

Stato
Discussione chiusa ad ulteriori risposte.

ItsReal

Utente Silver
30 Dicembre 2014
89
24
7
71
Buonasera, perche quando avvio da terminale apt-get install deb.torproject.org-keyring mi da questo errore:

# apt-get install tor deb.torproject.org-keyring
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
Alcuni pacchetti non possono essere installati. Questo può voler dire
che è stata richiesta una situazione impossibile oppure, se si sta
usando una distribuzione in sviluppo, che alcuni pacchetti richiesti
non sono ancora stati creati o sono stati rimossi da Incoming.
Le seguenti informazioni possono aiutare a risolvere la situazione:

I seguenti pacchetti hanno dipendenze non soddisfatte:
tor : Dipende: libssl1.0.0 (>= 1.0.1) ma non è installabile
Raccomanda: tor-geoipdb ma non sta per essere installato
Raccomanda: torsocks ma non sta per essere installato
E: Impossibile correggere i problemi, ci sono pacchetti danneggiati bloccati.
 

the.sailor

Utente Silver
28 Luglio 2014
219
4
33
84
Ti manca libssl (che è una dipendenza) della versione richiesta. Prova a fare un: "apt-get update && apt-get upgrade" (senza le doppie virgolette) e dopo esegui il comando che hai scritto.
 

the.sailor

Utente Silver
28 Luglio 2014
219
4
33
84
Mi sorge un dubbio, perchè hai dovuto aggiungere i repo? Il pacchetto tor è già presente nei repo di Kali (tor inteso come servizio e non Tor Browser Bundle).
 

ItsReal

Utente Silver
30 Dicembre 2014
89
24
7
71
Devi prima installarlo; tor è presente nei repo ufficiali di Kali ma non è preinstallato
Ovviamente la prima cosa che ho fatto è stato installarlo, "apt-get install tor" dove mi usciva sempre l'errore postato in precedenza. Ho riprovato adesso, (tanto per togliermi il dubbio) ed improvvisamente è partito l'installer dei pacchetti.
Grazie mille lo stesso e scusami ;)
Chiudo
 
Stato
Discussione chiusa ad ulteriori risposte.